<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Property Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Property Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A property in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae35375ff41283b692ea614b83aeebbb0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ae35375ff41283b692ea614b83aeebbb0">Property</a> ()</td></tr>
<tr class="separator:ae35375ff41283b692ea614b83aeebbb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f7f7d911f5d9b8b13c83aa0fa62120d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a1f7f7d911f5d9b8b13c83aa0fa62120d">Property</a> (string name, string type, string comment=default)</td></tr>
<tr class="separator:a1f7f7d911f5d9b8b13c83aa0fa62120d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad473be65a9821f64d91fd5167a807e86"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ad473be65a9821f64d91fd5167a807e86">WithName</a> (string name)</td></tr>
<tr class="separator:ad473be65a9821f64d91fd5167a807e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2efd4607fc9fd52bf22827710559b91"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ab2efd4607fc9fd52bf22827710559b91">WithType</a> (string type)</td></tr>
<tr class="separator:ab2efd4607fc9fd52bf22827710559b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc1b17f904699b02a446164318a72402"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#abc1b17f904699b02a446164318a72402">AddModifier</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> mod)</td></tr>
<tr class="separator:abc1b17f904699b02a446164318a72402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b52bbe65f63608bf7fdeded446cdc97"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a2b52bbe65f63608bf7fdeded446cdc97">AddModifiers</a> (params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[] mods)</td></tr>
<tr class="separator:a2b52bbe65f63608bf7fdeded446cdc97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae607f19c26347da2408f285067271c70"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ae607f19c26347da2408f285067271c70">AddModifiers</a> (IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; mods)</td></tr>
<tr class="separator:ae607f19c26347da2408f285067271c70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58721e5614d1da9a2f7bcf908fb6ec5f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a58721e5614d1da9a2f7bcf908fb6ec5f">AddArgument</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> arg)</td></tr>
<tr class="separator:a58721e5614d1da9a2f7bcf908fb6ec5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a122a388e3a5d41f2de2b8a450c30b251"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a122a388e3a5d41f2de2b8a450c30b251">AddArguments</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>[] args)</td></tr>
<tr class="separator:a122a388e3a5d41f2de2b8a450c30b251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e662ff8f9235acccac2ccd6a2c06277"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a0e662ff8f9235acccac2ccd6a2c06277">AddArguments</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args)</td></tr>
<tr class="separator:a0e662ff8f9235acccac2ccd6a2c06277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3abc6e3365afee61a00a443ac4916871"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a3abc6e3365afee61a00a443ac4916871">WithComment</a> (string comment)</td></tr>
<tr class="separator:a3abc6e3365afee61a00a443ac4916871"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a3de72c7a08c0c55bee42bb09e6081342"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a3de72c7a08c0c55bee42bb09e6081342">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a3de72c7a08c0c55bee42bb09e6081342"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a3de72c7a08c0c55bee42bb09e6081342">More...</a><br /></td></tr>
<tr class="separator:a3de72c7a08c0c55bee42bb09e6081342"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d2c483c142d9e3e6709cb9d0c0d81b8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a9d2c483c142d9e3e6709cb9d0c0d81b8">Type</a><code> [get]</code></td></tr>
<tr class="memdesc:a9d2c483c142d9e3e6709cb9d0c0d81b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a9d2c483c142d9e3e6709cb9d0c0d81b8">More...</a><br /></td></tr>
<tr class="separator:a9d2c483c142d9e3e6709cb9d0c0d81b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f75c23c0eac891eb6e75ba5d58405c2"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a8f75c23c0eac891eb6e75ba5d58405c2">Modifiers</a><code> [get]</code></td></tr>
<tr class="memdesc:a8f75c23c0eac891eb6e75ba5d58405c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a8f75c23c0eac891eb6e75ba5d58405c2">More...</a><br /></td></tr>
<tr class="separator:a8f75c23c0eac891eb6e75ba5d58405c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d624062d157c8c086a4b6056c720a52"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a0d624062d157c8c086a4b6056c720a52">Arguments</a><code> [get]</code></td></tr>
<tr class="memdesc:a0d624062d157c8c086a4b6056c720a52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arguments to initiate the property with  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a0d624062d157c8c086a4b6056c720a52">More...</a><br /></td></tr>
<tr class="separator:a0d624062d157c8c086a4b6056c720a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3d5e76184102c1b71da272edd07df4c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ad3d5e76184102c1b71da272edd07df4c">Comment</a><code> [get]</code></td></tr>
<tr class="memdesc:ad3d5e76184102c1b71da272edd07df4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Comment of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ad3d5e76184102c1b71da272edd07df4c">More...</a><br /></td></tr>
<tr class="separator:ad3d5e76184102c1b71da272edd07df4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A property in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae35375ff41283b692ea614b83aeebbb0" name="ae35375ff41283b692ea614b83aeebbb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae35375ff41283b692ea614b83aeebbb0">&#9670;&nbsp;</a></span>Property() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Property.Property </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f7f7d911f5d9b8b13c83aa0fa62120d" name="a1f7f7d911f5d9b8b13c83aa0fa62120d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f7f7d911f5d9b8b13c83aa0fa62120d">&#9670;&nbsp;</a></span>Property() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Property.Property </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a58721e5614d1da9a2f7bcf908fb6ec5f" name="a58721e5614d1da9a2f7bcf908fb6ec5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58721e5614d1da9a2f7bcf908fb6ec5f">&#9670;&nbsp;</a></span>AddArgument()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.AddArgument </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e662ff8f9235acccac2ccd6a2c06277" name="a0e662ff8f9235acccac2ccd6a2c06277"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e662ff8f9235acccac2ccd6a2c06277">&#9670;&nbsp;</a></span>AddArguments() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.AddArguments </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a122a388e3a5d41f2de2b8a450c30b251" name="a122a388e3a5d41f2de2b8a450c30b251"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a122a388e3a5d41f2de2b8a450c30b251">&#9670;&nbsp;</a></span>AddArguments() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.AddArguments </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>[]&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc1b17f904699b02a446164318a72402" name="abc1b17f904699b02a446164318a72402"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc1b17f904699b02a446164318a72402">&#9670;&nbsp;</a></span>AddModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.AddModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&#160;</td>
          <td class="paramname"><em>mod</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae607f19c26347da2408f285067271c70" name="ae607f19c26347da2408f285067271c70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae607f19c26347da2408f285067271c70">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td>
          <td class="paramname"><em>mods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b52bbe65f63608bf7fdeded446cdc97" name="a2b52bbe65f63608bf7fdeded446cdc97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b52bbe65f63608bf7fdeded446cdc97">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[]&#160;</td>
          <td class="paramname"><em>mods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3abc6e3365afee61a00a443ac4916871" name="a3abc6e3365afee61a00a443ac4916871"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3abc6e3365afee61a00a443ac4916871">&#9670;&nbsp;</a></span>WithComment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.WithComment </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad473be65a9821f64d91fd5167a807e86" name="ad473be65a9821f64d91fd5167a807e86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad473be65a9821f64d91fd5167a807e86">&#9670;&nbsp;</a></span>WithName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.WithName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2efd4607fc9fd52bf22827710559b91" name="ab2efd4607fc9fd52bf22827710559b91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2efd4607fc9fd52bf22827710559b91">&#9670;&nbsp;</a></span>WithType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> xAPI_Definitions_Parser.Code.SyntaxTree.Property.WithType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a0d624062d157c8c086a4b6056c720a52" name="a0d624062d157c8c086a4b6056c720a52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d624062d157c8c086a4b6056c720a52">&#9670;&nbsp;</a></span>Arguments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Property.Arguments</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Arguments to initiate the property with </p>

</div>
</div>
<a id="ad3d5e76184102c1b71da272edd07df4c" name="ad3d5e76184102c1b71da272edd07df4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3d5e76184102c1b71da272edd07df4c">&#9670;&nbsp;</a></span>Comment</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Property.Comment</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Comment of the property </p>

</div>
</div>
<a id="a8f75c23c0eac891eb6e75ba5d58405c2" name="a8f75c23c0eac891eb6e75ba5d58405c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f75c23c0eac891eb6e75ba5d58405c2">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Property.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access modifiers of the property </p>

</div>
</div>
<a id="a3de72c7a08c0c55bee42bb09e6081342" name="a3de72c7a08c0c55bee42bb09e6081342"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3de72c7a08c0c55bee42bb09e6081342">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Property.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the property </p>

</div>
</div>
<a id="a9d2c483c142d9e3e6709cb9d0c0d81b8" name="a9d2c483c142d9e3e6709cb9d0c0d81b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d2c483c142d9e3e6709cb9d0c0d81b8">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Property.Type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Type of the property </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_property_8cs.html">Property.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
